import request from '@/utils/request'

// 查询企业所得税申报信息列表
export function listReturn(query) {
  return request({
    url: '/basicData/xcrIncomeTaxReturn/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业所得税申报信息详细
export function getReturn(xhCodeId) {
  return request({
    url: '/basicData/xcrIncomeTaxReturn/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业所得税申报信息
export function addReturn(data) {
  return request({
    url: '/basicData/xcrIncomeTaxReturn',
    method: 'post',
    data: data
  })
}

// 修改企业所得税申报信息
export function updateReturn(data) {
  return request({
    url: '/basicData/xcrIncomeTaxReturn',
    method: 'put',
    data: data
  })
}

// 删除企业所得税申报信息
export function delReturn(xhCodeId) {
  return request({
    url: '/basicData/xcrIncomeTaxReturn/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delReturnBatch(ids) {
  return request.post('/basicData/xcrIncomeTaxReturn/delete',ids)
}
